For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HUMAN DashboardHUMAN WebsiteRequest a Demo
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
  • User guides
    • About the Applications API
    • Getting started
    • Authentication
    • Quick reference
  • Account Defender API
  • Bot Defender API
  • Credential Intelligence API
  • Code Defender API
      • GETGet deny lists
      • POSTUpdate a deny list
    • Code Examples
  • Enforce API
  • PCI DSS API
LogoLogo
Login
Login
HUMAN DashboardHUMAN WebsiteRequest a Demo
Code Defender APIDeny Lists

Get deny lists

GET
https://api-gw.perimeterx.com/v1/deny-lists
GET
/v1/deny-lists
$curl -G https://api-gw.perimeterx.com/v1/deny-lists \
> -H "Authorization: Bearer <token>" \
> -d appId=hostDomain \
> -d skip=40 \
> -d take=10 \
> -d hitCountInterval=HOUR
1{
2 "paging": {
3 "previous": "",
4 "current": "https://api-gw.perimeterx.com/v1/deny-lists?ABC123=domain.com&take=20&skip=0",
5 "next": "https://api-gw.perimeterx.com/v1/deny-lists?ABC123=domain.com&take=20&skip=20"
6 },
7 "data": [
8 {
9 "app_id": "PXabc123",
10 "host_domain": "domain.com",
11 "count": 16,
12 "data": [
13 {
14 "script": "cdn.cdn.com/qscripts.js",
15 "type": "dom",
16 "subtype": "value_access",
17 "action_args": {
18 "Element ID": "vemail",
19 "Element Name": "vemail"
20 },
21 "last_seen": "2022-01-25T17:31:11+02:00",
22 "block_updated_at": "2022-06-13T08:59:44.448Z",
23 "entity_key": "111aabbc2cdd33e45e5ff66778g8g9h9",
24 "updated_by": "HUMAN",
25 "hit_count": 1224,
26 "comment": "string"
27 }
28 ]
29 }
30 ]
31}
Returns a list of blocked actions for the given Application IDs and domains.
Was this page helpful?
Previous

Update a deny list

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

appId=hostDomainstringRequired

A pair of appId and hostDomain keys.

skipintegerOptionalDefaults to 0
The number of incidents to offset pagination by when returning the results.
takeintegerOptionalDefaults to 20
The number of incidents to display per page when returning the results.
hitCountIntervalenumOptional

Counts the number of times the action was blocked in the last full time interval. Queries without hitCountInterval wont retrieve hit_count in the response. Adds the data payload to the hit_count.

Response

Success
pagingobject
datalist of objects

Errors

401
Unauthorized Error
422
Unprocessable Entity Error
500
Internal Server Error